<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

only_reg();
$set['title']='Редоктирование анкеты';
include_once '../sys/inc/thead.php';
title();

if (isset($_POST['save'])){
if (isset($_POST['vk_ank_mob_tel']) && (is_numeric($_POST['vk_ank_mob_tel']) && strlen($_POST['vk_ank_mob_tel'])>=5 && strlen($_POST['vk_ank_mob_tel'])<=11 || $_POST['vk_ank_mob_tel']==NULL))
{
$user['vk_ank_mob_tel']=$_POST['vk_ank_mob_tel'];
mysql_query("UPDATE `user` SET `vk_ank_mob_tel` = '$user[vk_ank_mob_tel]' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат номера телефона(моб)';

if (isset($_POST['vk_ank_dom_tel']) && (is_numeric($_POST['vk_ank_dom_tel']) && strlen($_POST['vk_ank_dom_tel'])>=5 && strlen($_POST['vk_ank_dom_tel'])<=11 || $_POST['vk_ank_dom_tel']==NULL))
{
$user['vk_ank_dom_tel']=$_POST['vk_ank_dom_tel'];
mysql_query("UPDATE `user` SET `vk_ank_dom_tel` = '$user[vk_ank_dom_tel]' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат номера телефона(дом)';
if (isset($_POST['ank_city']) && preg_match('#^([A-zА-я \-]*)$#ui', $_POST['ank_city']))
{
$user['ank_city']=$_POST['ank_city'];
mysql_query("UPDATE `user` SET `ank_city` = '".my_esc($user['ank_city'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат названия города';
}
err();
aut();
?>
<html>
<style>
.even{padding:3px;
border-top:1px dotted #CCC
}
.row3{
padding:3px;
background-color:#e1e1e1
}
</style>
</html>
<?

echo "<div class='row3'><a href='osnovnoe.php'>Основное</a> | Контакты | <a href='inform.php'>Интересы</a></div>";




echo "<form method='post' action='?$passgen'>\n";
echo "<div class='even'>Город: <input type='text' name='ank_city' value='$user[ank_city]' maxlength='512' /><br /></div>\n";
echo "<div class='even'>Номер телефона(<b>моб</b>):<input type='text' name='vk_ank_mob_tel' value='$user[vk_ank_mob_tel]' maxlength='11' /><br /></div>\n";
echo "<div class='even'>Номер телефона(<b>дом</b>):<input type='text' name='vk_ank_dom_tel' value='$user[vk_ank_dom_tel]' maxlength='11' /><br /></div>\n";

echo "<div class='even'><input type='submit' name='save' value='Сохранить' /></div>\n";
echo "</form>\n";
echo "<div class='foot'>\n";
echo "&raquo;<a href='/anketa/info.php'>Посмотреть анкету</a><br />\n";



echo "</div>\n";
include_once '../sys/inc/tfoot.php';
?>